### Method

# Ide Workbench open_async

#### Declaration

    void
    ide_workbench_open_async (
      IdeWorkbench* self,
      GFile* file,
      const gchar* hint,
      IdeBufferOpenFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Requests that the workbench open `file`.

If `hint` is provided, that will be used to determine what workbench addin to use when opening the file. The `hint` name should match the module name of the plugin.

`flags` may be ignored by some backends.

Available since: | 3.32

#### Parameters

`file` | `GFile`
| A `GFile`.
| The data is owned by the caller of the function.
`hint` | `const gchar*`
| An optional hint about what addin to use.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`flags` | `IdeBufferOpenFlags`
| Optional flags when opening the file.
`cancellable` | `GCancellable`
| A `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to execute upon completion.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.